Bug 22548 - HTML5: Native codec support for <audio> and <video>
Summary: HTML5: Native codec support for <audio> and <video>
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: HTML DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P3 Enhancement
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-11-28 18:04 PST by Alexander Willner
Modified: 2010-03-23 13:21 PDT (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Willner 2008-11-28 18:04:53 PST
As stated in the HTML5 specification: "It would be helpful for interoperability if all browsers could support the same codecs."
Firefox[1] and Opera[2] are already working on native support for Ogg Vorbis / Theora. As far as I know there are open licence/patent issues to be solved first. However, it might be useful to have native support for at least one codec on all WebKit platforms.

I've created this bug report since I couldn't find one that addresses this issue.

[1] http://www.0xdeadbeef.com/weblog/?p=492
[2] http://dev.opera.com/articles/view/a-call-for-video-on-the-web-opera-vid
Comment 1 Mark Rowe (bdash) 2008-11-28 22:37:21 PST
What do you mean by "native codec support"?  It's not clear what you're requesting in this enhancement request.
Comment 2 Asad Zia 2008-11-28 23:37:11 PST
I guess this means that video decoder plugs right into rendering engine, just like we have jpeg and png image decoder interfaces present in WebKit.
Comment 3 Alexander Willner 2008-11-29 02:55:06 PST
That's right, native support for e.g. Ogg as WebKit supports SVG, PNG, JPG, GIF without a plugin. This is what is stated in [1] and [2].
I will put it into other words (cf. [3]): "The goal with WebKit is to make Ogg Vorbis/Theora a first-class audio/video format, so that it can be used anywhere you might use a video or audio. In other words, all of the following should be possible: <video src=videosample.ogg></video> <audio src=audiosample.ogg></audio> without using plugins."

Of course you could exchange Ogg Vorbis/Theora with other formats.

[3] http://webkit.org/blog/55/high-dpi-web-sites/
Comment 4 Alexey Proskuryakov 2008-11-29 12:59:59 PST
So, would this bug be better titled as "Please implement Ogg Vorbis and Theora support directly in WebKit"? I don't see how that would help having them supported in shipping products though.
Comment 5 kangax 2010-03-23 10:54:28 PDT
@Alexey
Could you please explain why WebKit doesn't support Ogg Vorbis? Latest FF, Opera and Chrome — all do; playing audio on the web would be as simple as including audio element referencing Ogg -based audio file... if not for webkit.

Thank you.
Comment 6 Alexey Proskuryakov 2010-03-23 12:05:26 PDT
Vendors of WebKit-based software can always support Ogg Vorbis/Theora via other mechanisms, as evidenced by both Chrome (which has it built-in) and Safari (which has such support once you install appropriate codecs for QuickTime).

Since having the code in WebKit repository has no effect on user experience, this is not a valid enhancement request. A vendor could legitimately make such a request if it made sense for them for technical reasons, but no vendor has expressed such desire yet.

There is nothing political about having the code in WebKit or not, and having it in WebKit can't make it magically appear in actual Web browsers.

I'm marking this bug as WONTFIX for now. It can be reopened if a technical reason to address it is found.
Comment 7 kangax 2010-03-23 13:21:26 PDT
@Alexey
Thank you. This clears things up.